
/*
[00:11] <nascent> if you select one item from the menu., then another it will segfault.
*/
module user.nascent_test2;
import dwt.DWT;
import dwt.layout.GridLayout;
import dwt.widgets.Canvas;
import dwt.widgets.Display;
import dwt.widgets.Menu;
import dwt.widgets.MenuItem;
import dwt.widgets.Shell;

import tango.io.Stdout;
import tango.math.Math;
import tango.text.convert.Format;
import tango.util.Convert;
import tango.util.PathUtil;
import dwt.events.SelectionListener;
import dwt.events.SelectionEvent;

void main(){
    auto display = new Display();
    auto shell = new Shell(display);
    auto layout = new GridLayout();
    layout.numColumns = 3;
    shell.setSize(500, 500);
    shell.setText("Draw window");
    shell.setLayout(layout);

    auto menu = new Menu(shell, DWT.BAR);
    auto shapeMenuHeader = new MenuItem(menu, DWT.CASCADE);
    shapeMenuHeader.setText("&Shape");
    auto shapeMenu = new Menu(shell, DWT.DROP_DOWN);
    shapeMenuHeader.setMenu(shapeMenu);

    MenuItem[3] colors; 
    colors[0] = new MenuItem(shapeMenu, DWT.RADIO);
    colors[0].setText("&Red");
    colors[1] = new MenuItem(shapeMenu, DWT.RADIO);
    colors[1].setText("&Green");
    colors[2] = new MenuItem(shapeMenu, DWT.RADIO);
    colors[2].setText("&Blue");

    shell.setMenuBar(menu);

    shell.open();
    while (!shell.isDisposed()) {
        if (!display.readAndDispatch()) {
            display.sleep();
        }
    }

}
